#!/bin/bash

set -e

if [ -d /run/systemd/system ]; then
        systemctl --system daemon-reload >/dev/null || true
fi
if [ "$1" = "remove" ]; then
        if [ -x "/usr/bin/deb-systemd-helper" ]; then
                deb-systemd-helper mask 'anastasis-httpd.service' >/dev/null || true
        fi
fi

if [ "$1" = "purge" ]; then
        if [ -x "/usr/bin/deb-systemd-helper" ]; then
                deb-systemd-helper purge 'anastasis-httpd.service' >/dev/null || true
                deb-systemd-helper unmask 'anastasis-httpd.service' >/dev/null || true
        fi
fi

ANASTASIS_HOME="/var/lib/anastasis/"

. /usr/share/debconf/confmodule

case "${1}" in
configure)
  # Creating taler users if needed
  if ! getent passwd anastasis-httpd >/dev/null
  then
    adduser --quiet --system --ingroup www-data --no-create-home --home ${ANASTASIS_HOME} anastasis-httpd
  fi

  if ! dpkg-statoverride --list /etc/anastasis/secrets/anastasis-db.secret.conf >/dev/null 2>&1
  then
    dpkg-statoverride --add --update \
      anastasis-httpd root 460 \
      /etc/anastasis/secrets/anastasis-db.secret.conf
  fi

  ;;

abort-upgrade | abort-remove | abort-deconfigure) ;;

  *)
  echo "postinst called with unknown argument \`${1}'" >&2
  exit 1
  ;;
esac

#DEBHELPER#

exit 0
